ビデオと素材

マテリアルアセットグループの取得

TokenLabのグループIDを使用して、Seedanceマテリアルグループを1つ取得します。

GET
/v1/videos/assets/groups/{groupId}

マテリアルグループを1つ取得します。library_typeは、そのグループがバーチャルアバターグループか、実在の人物グループかを示します。

アップロード前にグループが現在も存在し、status: "ACTIVE"であることを確認する必要がある場合は、このエンドポイントを使用してください。

project_name は認証済み組織内のリソースを分離します。デフォルトは default です。関連するグループと素材には、大文字と小文字を区別した同じ値を使用してください。POST/PUT では JSON ボディ、GET/DELETE ではクエリに指定します。

リクエスト例

curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

レスポンス例

{
  "id": "group-20260720123456-vrt01",
  "object": "seedance.material_asset_group",
  "project_name": "default",
  "library_type": "aigc_avatar",
  "group_name": "Product references",
  "description": "Reusable product shots",
  "status": "ACTIVE",
  "metadata": null,
  "created_at": 1782998400000
}
curl -X GET "https://example.com/v1/videos/assets/groups/group-20260720123456-vrt01"
{  "id": "group-20260720123456-vrt01",  "object": "seedance.material_asset_group",  "library_type": "aigc_avatar",  "group_name": "Product references",  "description": "再利用可能な製品ショット",  "status": "ACTIVE",  "metadata": null,  "created_at": 1782998400000}

認証

BearerAuth
AuthorizationBearer <token>

APIキー認証。Dashboard > API > API KeysでAPIキーを作成または管理します。

場所: header

パスパラメータ

groupId*string

クエリパラメータ

project_name?string

素材リソースのプロジェクトスコープ。

長さ1 <= length <= 128
デフォルト"default"

レスポンス

application/json

application/json

application/json

application/json

application/json